View Issue Details

IDCategoryLast Update
0008275bugs2020-07-08 00:17
ReportercolinfAssigned Tox42 
Reproducibilityhave not tried 
Status resolvedResolutionfixed 
Product Version6.0 
Fixed in Version 
Summary0008275: 'blips' of input signal appear at output when locating
DescriptionUsing 'P' to locate the playhead allows a brief blip of the channel input signal to pass through, even when ardour is set to 'record monitoring handled by audio hardware'.
Steps To Reproduce* set 'Record monitoring handled by:' to 'audio hardware'
* create a new session
* add 1 mono track, routed to master bus
* connect hardware input 1 to audio track
* record a region on the track (to create start & end markers)
* delete the region
* feed a signal into the hardware input
* locate the playhead to different points in the session by pointing with the mouse and pressing 'P'
* on every locate a short 'blip' of the input signal can be heard from the output of the master bus
Additional InformationWith jackd1 from debian stable, using a Delta 1010:
colinf@starling-thinkstation:~$ jackd --version
jackd version 0.125.0rc1 tmpdir /dev/shm protocol 25

Maybe not relevant, but zita-a2j, zita-j2a, and a2jmidid were also running via qjackctl's 'Execute script after Startup:':
zita-a2j -dhw:M44 -c4 -jdelta44 & a2jmidid -e &
TagsNo tags attached.

Activities

x42

2020-06-30 20:49

administrator   ~0024533

Is "Session > Properties > Monitoring > Track Input Monitoring automatically follows transport state ("auto-input")" enabled?
and Preferences > Signal Fow > Auto Input does 'talkback' ?

colinf

2020-06-30 21:08

updater   ~0024534

"Auto Input" is on
"Auto Input does 'talkback'" is off
"Session > Properties > Monitoring > Track Input Monitoring automatically follows transport state ("auto-input")" is on

colinf

2020-06-30 21:51

updater   ~0024535

Have reproduced with ALSA backend too. 'Auto Input' doesn't make any difference.

x42

2020-07-07 02:38

administrator   ~0024622

Issue was found and understood just now..

It is possible that Route::monitoring_state() returns (MonitoringDisk | MonitorSilence).
However when locating the disk-reader only silences the buffer if (ms == MonitoringDisk).

I have a fix for this in the queue (preventing monitoring_state to become Disk|Silence), but the 6.1 tag got in the way.

colinf

2020-07-07 10:26

updater   ~0024625

I've checked, and can confirm this is fixed in 06535071. Can also confirm that the issue was introduced (for me, at least) by fbe80751, as you suspected, so it wasn't in 6.0.

x42

2020-07-08 00:17

administrator   ~0024631

Fixed in 6.1-1-g308d138144

Issue History

Date Modified Username Field Change
2020-06-29 20:22 colinf New Issue
2020-06-30 20:42 colinf Steps to Reproduce Updated View Revisions
2020-06-30 20:42 colinf Additional Information Updated View Revisions
2020-06-30 20:49 x42 Note Added: 0024533
2020-06-30 21:08 colinf Note Added: 0024534
2020-06-30 21:51 colinf Note Added: 0024535
2020-07-07 02:38 x42 Assigned To => x42
2020-07-07 02:38 x42 Status new => assigned
2020-07-07 02:38 x42 Note Added: 0024622
2020-07-07 10:26 colinf Note Added: 0024625
2020-07-08 00:17 x42 Status assigned => resolved
2020-07-08 00:17 x42 Resolution open => fixed
2020-07-08 00:17 x42 Note Added: 0024631